<div
  class="flex-row full-height full-width overflow-hidden"
  [sqtmCoreWorkspace]="'campaign-workspace'"
>
  <sqtm-core-nav-bar class="full-height flex-fixed-size"></sqtm-core-nav-bar>
  <div
    class="flex-column full-width full-height neutral-background-color overflow-hidden"
  >
    <sqtm-core-configurable-banner />

    <div class="flex-row full-height full-width overflow-hidden">
      <sqtm-core-entity-view-wrapper class="full-width">
        @if ($componentData(); as componentData) {
          <ng-container [sqtmCoreViewId]="'session-overview-view'">
            <div
              class="flex full-height full-width neutral-background-color full-width"
            >
              <div class="flex-column full-width">
                <sqtm-core-entity-view-header
                  class="full-width content-head p-t-10 p-r-20"
                  [nameEditable]="false"
                  [entityPath]="componentData.exploratorySessionOverview.path"
                  [attachmentList]="
                    componentData.exploratorySessionOverview.attachmentList
                  "
                  (attachmentBadgeClickEvent)="openAttachmentsDrawer()"
                >
                  <div projection="reference" class="reference">
                    <sqtm-core-editable-text-field
                      [attr.data-test-field-id]="'entity-reference'"
                      [sqtmCoreEntityViewEditableTextField]="'reference'"
                      ngDefaultControl
                      [layout]="'compact'"
                      placeholder="{{
                        'sqtm-core.test-case-workspace.reference.placeholder'
                          | translate
                      }}"
                      [editable]="false"
                      [trimValue]="true"
                    >
                    </sqtm-core-editable-text-field>
                  </div>
                  <div
                    projection="notifications"
                    class="m-r-40"
                    [attr.data-test-element-id]="'notifications'"
                  >
                    @if (!componentData.milestonesAllowModification) {
                      <div
                        [attr.data-test-element-id]="'milestone-locked-warning'"
                        nz-tooltip
                        [nzTooltipTitle]="lockedMilestoneMessage"
                        [nzTooltipPlacement]="'bottom'"
                        class="font-20-px sqtm-core-error-message"
                      >
                        <i
                          nz-icon
                          nzType="sqtm-core-nav:milestone"
                          nzTheme="outline"
                        ></i>
                      </div>
                    }
                  </div>
                  <div
                    projection="actions"
                    class="flex-column full-height"
                    style="width: 40px"
                  >
                    <sqtm-core-back-button
                      class="m-t-6"
                      (buttonPressed)="navigateBack()"
                    >
                    </sqtm-core-back-button>
                  </div>
                  <div projection="capsule" class="capsules-container">
                    <div class="flex align-items-center">
                      <sqtm-core-capsule-information
                        class="m-r-5"
                        [attr.data-test-element-id]="
                          'exploratory-session-status'
                        "
                        nz-tooltip
                        [nzTooltipTitle]="
                          'sqtm-core.campaign-workspace.exploratory-session-overview.session-progress'
                            | translate
                        "
                        [informationData]="
                          getExploratorySessionStatus(
                            componentData.exploratorySessionOverview
                              .sessionStatus
                          )
                        "
                      >
                      </sqtm-core-capsule-information>
                      <sqtm-core-capsule-information
                        class="m-r-5"
                        [attr.data-test-element-id]="
                          'exploratory-session-execution-status'
                        "
                        nz-tooltip
                        [nzTooltipTitle]="
                          'sqtm-core.campaign-workspace.execution-status.label'
                            | translate
                        "
                        [customIconSize]="18"
                        [informationData]="
                          getExploratorySessionExecutionStatus(
                            componentData.exploratorySessionOverview
                              .executionStatus
                          )
                        "
                      >
                      </sqtm-core-capsule-information>
                      @if (
                        isSessionStatusFinished(
                          componentData.exploratorySessionOverview.sessionStatus
                        ) &&
                        componentData.exploratorySessionOverview.nbExecutions >
                          0
                      ) {
                        <sqtm-core-capsule-information
                          class="m-r-5"
                          [attr.data-test-element-id]="
                            'exploratory-session-review-status'
                          "
                          nz-tooltip
                          [nzTooltipTitle]="
                            'sqtm-core.campaign-workspace.exploratory-session-overview.capsule.review-status.label'
                              | translate
                          "
                          [customIconSize]="18"
                          [informationData]="
                            getExploratorySessionReviewStatus(componentData)
                          "
                        >
                        </sqtm-core-capsule-information>
                      }
                    </div>
                    <div class="flex m-l-auto">
                      <button
                        class="flex-fixed-size ant-btn ant-btn-primary m-r-10"
                        [attr.data-test-button-id]="'start-session-overview'"
                        [disabled]="!$canStartSession()"
                        (click)="startOrResumeSessionOverview()"
                      >
                        {{
                          getStartLabel(
                            componentData.exploratorySessionOverview
                              .sessionStatus
                          ) | translate
                        }}
                      </button>
                      <button
                        class="flex-fixed-size ant-btn ant-btn-primary m-r-auto"
                        [attr.data-test-button-id]="'end-session-overview'"
                        [disabled]="!$canEndSession()"
                        (click)="endSessionOverview()"
                      >
                        {{
                          'sqtm-core.campaign-workspace.exploratory-session-overview.end-session'
                            | translate
                        }}
                      </button>
                    </div>
                  </div>
                </sqtm-core-entity-view-header>
                <div class="flex-row full-height full-width">
                  <div class="flex-fixed-size side-bar">
                    <div class="anchor-bar">
                      <sqtm-core-anchor>
                        <sqtm-core-anchor-group [id]="'content'">
                          <sqtm-core-anchor-link
                            nz-tooltip
                            nzTooltipPlacement="right"
                            sqtmCoreDefaultAnchorLink
                            [id]="'information'"
                            [nzTooltipTitle]="
                              'sqtm-core.generic.label.information.plural'
                                | translate
                            "
                            [iconName]="'sqtm-core-generic:information'"
                          >
                          </sqtm-core-anchor-link>
                          <sqtm-core-anchor-link
                            nz-tooltip
                            nzTooltipPlacement="right"
                            sqtmCoreDefaultAnchorLink
                            [id]="'executions'"
                            [nzTooltipTitle]="
                              'sqtm-core.test-case-workspace.title.executions'
                                | translate
                            "
                            [iconName]="'sqtm-core-administration:execution'"
                          >
                          </sqtm-core-anchor-link>
                          <sqtm-core-anchor-link
                            nz-tooltip
                            nzTooltipPlacement="right"
                            sqtmCoreDefaultAnchorLink
                            [id]="'comments'"
                            [nzTooltipTitle]="
                              'sqtm-core.generic.label.comments' | translate
                            "
                            [iconName]="'sqtm-core-campaign:comments'"
                          >
                          </sqtm-core-anchor-link>
                          <sqtm-core-anchor-link
                            nz-tooltip
                            nzTooltipPlacement="right"
                            sqtmCoreDefaultAnchorLink
                            [id]="'charter'"
                            [nzTooltipTitle]="
                              'sqtm-core.test-case-workspace.title.charter'
                                | translate
                            "
                            [iconName]="'sqtm-core-test-case:charter'"
                          >
                          </sqtm-core-anchor-link>
                        </sqtm-core-anchor-group>
                        <sqtm-core-anchor-group [id]="'activity'">
                          <sqtm-core-anchor-link
                            nz-tooltip
                            nzTooltipPlacement="right"
                            [id]="'activity'"
                            [nzTooltipTitle]="
                              'sqtm-core.campaign-workspace.exploratory-session-overview.activity'
                                | translate
                            "
                            [iconName]="'sqtm-core-generic:history'"
                          >
                            @if (
                              componentData.exploratorySessionOverview.nbNotes >
                              0
                            ) {
                              <div
                                [attr.data-test-element-id]="'activity-count'"
                                class="anchor-counter"
                              >
                                <span>{{
                                  componentData.exploratorySessionOverview
                                    .nbNotes
                                }}</span>
                              </div>
                            }
                          </sqtm-core-anchor-link>
                        </sqtm-core-anchor-group>
                        <sqtm-core-anchor-group [id]="'issues'">
                          <sqtm-core-anchor-link
                            nz-tooltip
                            nzTooltipPlacement="right"
                            [id]="'issues'"
                            [visible]="
                              componentData.projectData.bugTracker != null
                            "
                            [nzTooltipTitle]="
                              'sqtm-core.campaign-workspace.title.issues'
                                | translate
                            "
                            [iconName]="'sqtm-core-generic:issues'"
                          >
                            @if (
                              componentData.exploratorySessionOverview
                                .nbIssues > 0
                            ) {
                              <div class="anchor-counter">
                                <span>{{
                                  componentData.exploratorySessionOverview
                                    .nbIssues
                                }}</span>
                              </div>
                            }
                          </sqtm-core-anchor-link>
                        </sqtm-core-anchor-group>
                      </sqtm-core-anchor>
                    </div>
                  </div>
                  <div
                    class="content-body full-height full-width overflow-auto"
                  >
                    <router-outlet></router-outlet>
                  </div>
                </div>
              </div>
            </div>
            <sqtm-core-attachment-drawer [canAttach]="canAttach">
            </sqtm-core-attachment-drawer>
          </ng-container>
        } @else {
          <sqtm-core-full-page-loading-icon></sqtm-core-full-page-loading-icon>
        }
      </sqtm-core-entity-view-wrapper>
    </div>
  </div>
</div>

<ng-template #lockedMilestoneMessage>
  {{ 'sqtm-core.entity.generic.milestone.locked' | translate }}
</ng-template>
